Cyberduck Mountain Duck CLI

#8457 closed enhancement (fixed)

Backspace keyboard shortcut to change to parent directory

Reported by: blahblah8192 Owned by: dkocher
Priority: normal Milestone: 4.6.4
Component: interface Version: 4.6.1
Severity: normal Keywords:
Cc: Architecture:
Platform: Windows 7

Description (last modified by dkocher)

Two little but very useful enhancements (and consistant with other softwares) :

  • On top of file-list, add a ".." file => when you click on it, it goes to the parent folder, like in many other software
  • BACKSPACE keyboard shortcut => parent directory

Change History (5)

comment:1 Changed on Jan 5, 2015 at 8:59:18 AM by dkocher

  • Component changed from core to interface
  • Description modified (diff)
  • Milestone set to 4.7
  • Owner set to dkocher
  • Platform set to Windows 7
  • Summary changed from 2 useful shortcuts for parent folder : BACKSPACE keyboard shortcut and .. to Backspace keyboard shortcut to change to parent directory

comment:2 Changed on Jan 6, 2015 at 10:44:29 PM by blahblah8192

@dkocher, why not having ".." folder on top ?

note: without ".." and without <BACKSPACE>, it's currently a bit hard to browse FTP with keyboard only and keyboard shortcuts

(for programmers / users used to use keyboard shorcuts a lot)

comment:3 Changed on Jan 21, 2015 at 8:52:25 AM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r16529.

comment:4 Changed on Jan 21, 2015 at 8:52:53 AM by yla

  • Milestone changed from 4.7 to 4.6.4

comment:5 Changed on Jan 29, 2015 at 12:27:02 PM by blahblah8192

Thanks @yla!

Something else : as well as <BACKSPACE>, it is standard to use <ALT> + <UP ARROW> to go to Parent Folder in Windows Explorer.

Do you think we could add this?

Note: See TracTickets for help on using tickets.
swiss made software